Subject: [homenet] "mDNS proxy" in RFC 7788

From: "Ralph Droms (rdroms)" <[email-masked]>
Date: Mon, 20 Jun 2016 15:40:50 +0000

While I was reviewing RFC 7788 because of the .home issue, I ran some other text that I think needs to be clarified.

Section 7.4 refers to a "Multicast DNS Proxy", with a citation of RFC 6762.  The problem here is that RFC 6762 does not provide a definition of "Multicast DNS Proxy Servers" (coincidentally, in section 7.4 of RFC 6762).  Personally, I believe that RFC 6762 is referring to the "Bonjour Sleep Proxy" service [http://multicastdns.org].  If that understanding is correct, then RFC 7788 should not be mandating the deployment and operation of "mDNS proxy" at all.

If RFC 7788 is referring to some other "mDNS proxy server", e.g., the hybrid proxy service described in draft-ietf-dnssd-hybrid-03, then RFC 7788 should explicitly reference that other proxy service, presumably with a pointer to some defining RFC.

- Ralph

---

From: Stuart Cheshire <[email-masked]>
Date: Tue, 21 Jun 2016 09:50:55 -0700

> If RFC 7788 is referring to some other "mDNS proxy server", e.g., the hybrid proxy service described in draft-ietf-dnssd-hybrid-03, then RFC 7788 should explicitly reference that other proxy servic…

I am also unclear on what RFC 7788 means by the term “mDNS proxy”.

When RFC 6762 talks about a Multicast DNS Proxy Server it’s referring to something that answers Multicast DNS queries on behalf of other devices. It doesn’t say this explicitly (because at the time I hadn’t realised there might be any other kind of proxy) but it’s implied by the context where the term is used:

   ... there could be more than one proxy on the network
   giving Multicast DNS answers on behalf of some other host (e.g.,
   because that other host is currently asleep and is not itself
   responding to queries).

I can think of three sub-classes of this kind of proxy:

1. Sleep Proxy, answering for sleeping devices.

2. Legacy Proxy, answering for devices that offer services but don’t implement Multicast DNS themselves (as implemented by the “dns-sd -P” command; useful a decade ago, less so now).

3. Redundant Proxy. When critical network configuration information is made available through Multicast DNS records, having multiple redundant sources of that information for reliability purposes might be useful.

Now, the Hybrid Proxy introduces a new kind of proxy that I did not anticipate when RFC 6762 was written -- instead of a proxy that answers on behalf of other devices, a proxy that issues queries on behalf of other devices. This kind of proxy is not mentioned at all in RFC 6762.

Stuart Cheshire